﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

.infobox, .infoboxHeader {
    width: 100%;
    padding: 10px;
}

.infobox {
    height: 93vh;
    overflow: hidden;
}

#AutoRekButton {
    float: right;
    margin-top: 5px;
}

.infoboxHeader h2 {
    width: 100%;
    float: left;
    /*margin-top: 5px;*/
}

.infoboxHeader {
    margin-top: 0px;
    display: inline-block;
}

.tableentity {
    padding-bottom: 20px;
    padding-top: 10px;
    margin-top: 5px;
    border-bottom: 1px solid #cccccc;
}

#btnEdit, #btnDelete {
    display: block;
    float: right;
    width: 80px;
}

#btnEdit {
    margin-right: 15px;
}

.tableentity:last-child {
    border-bottom: none;
}

.tablename, .tableregnumber, .tablecompregnumber, .tableEmpty, .tableentityname, .tablefcanummber, .tablecompreg, .tableButton {
    width: 50%;
    float: left;
    font-weight: bold;
}

.tableEmpty {
    display: inline-block;
}

.tableentityname, .tablefcanummber, .tablecompreg, .tableButton {
    font-weight: normal;
    margin-bottom: 0.25rem;
}

.tableButton {
    float: right;
}

.tabledesc, .tableadd, .tableHeaderdesc, .tableHeaderadd {
    display: inline-block;
    font-size: small;
}

.tableHeaderdesc, .tableHeaderadd {
    display: inherit;
    font: small-caption;
    font-weight: bold;
    margin-top: 0.75rem;
}

/*div.a {
    white-space: nowrap;
    width: 100px;
    overflow: hidden;
    text-overflow: ellipsis;
    
}

div.a:hover {
    overflow: visible;
}*/

.wrap {
    position: relative;
}

.overflow {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    pointer-events: none;
    float: left;
    width: 100%;
}

    .overflow:after {
        content: "";
        display: block;
        position: absolute;
        top: 0;
        right: 0;
        width: 20px;
        height: 20px;
        z-index: 1;
        pointer-events: initial;
    }

    .overflow:hover:after {
        cursor: pointer;
    }

.tooltip {
    display: none;
    position: relative;
    top: 10px;
    left: 0px;
    background-color: #4ABBB6;
    padding: 10px;
    transition: opacity 0.5s ease;
    border: 1px solid #2F1B47;
    box-shadow: 0px 2px 5px #39918d;
    border-radius: 5px;
    width: 100%;
}

.overflow:hover + .tooltip {
    /*visibility: visible; */
    display: inline-block;
    transition: opacity 0.5s ease;
    opacity: 1;
    margin-bottom: 10px;
}

/* TeleRik grid styling*/

div.smallerFont,
div.smallerFont .k-filtercell * {
    font-size: 12px;
}

    div.smallerFont .k-dropdown.k-header.k-dropdown-operator {
        width: calc(8px + 2em) !important;
    }

div.k-filtercell .k-dropdown-operator {
    visibility: hidden;
}

.k-filtercell .k-filtercell-operator > .k-button.k-clear-button-visible {
    display: none;
}

div.k-filtercell span.telerik-blazor .k-textbox, .k-input.k-textbox {
    width: 150%;
}

/* Resize the numeric box*/
.k-numerictextbox .k-numeric-wrap .k-input {
    width: 100px;
}
/* Resize the datime box*/
.k-dateinput .k-dateinput-wrap .k-input, .k-dateinput .k-picker-wrap .k-input, .k-datepicker .k-dateinput-wrap .k-input, .k-datepicker .k-picker-wrap .k-input, .k-datetimepicker .k-dateinput-wrap .k-input, .k-datetimepicker .k-picker-wrap .k-input, .k-timepicker .k-dateinput-wrap .k-input, .k-timepicker .k-picker-wrap .k-input {
    width: 100px;
}

div.cs-col-3 .k-state-disabled .k-dateinput-wrap {
    border: 1px solid #ced4da;
    background-color: #e9ecef;
}

.k-dropdown .k-dropdown-wrap, .k-dropdowntree .k-dropdown-wrap {
    background-image: linear-gradient(#ffffff,#ffffff)
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

button {
    border: 1px solid rgba(0,0,0,0.08);
    border-radius: 2px;
    /*margin-right: 2px !important;*/
}

    button.close {
        border-color: rgba(0,0,0,0) !important;
        color: #fff;display: none;
    }

        button.close:hover {
            color: #E87722;
        }

a.pageNav {
    padding: 3px 2px 3px 7px;
    border: 1px solid rgba(0,0,0,0.08);
    border-radius: 2px;
    background-color: rgb(239, 239, 239);
    margin-right: 2px;
}
a.homepageLink {
    border: 1px solid rgba(0,0,0,0.08);
    border-radius: 2px;
    background-color: rgb(239, 239, 239);
    color:rgb(0,0,0);
    display: inline-block;
    text-align: center;
    padding: 1px 6px;
}